Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> CGI abuses >> WebCalendar < 1.0.2 Multiple Vulnerabilities


Vulnerability Assessment Details

WebCalendar < 1.0.2 Multiple Vulnerabilities

Vulnerability Assessment Summary
Checks for multiple vulnerabilities in WebCalendar < 1.0.2

Detailed Explanation for this Vulnerability Assessment

Summary :

The remote web server has a PHP application that is affected by
multiple vulnerabilities.

Description :

The remote version of WebCalendar does not validate input to the 'id'
and 'format' parameters of the 'export_handler.php' script before
using it to overwrite files on the remote host, subject to the
rights of the web server user id.

In addition, the 'activity_log.php', 'admin_handler.php',
'edit_report_handler.php', 'edit_template.php' and
'export_handler.php' scripts are prone to SQL injection attacks and
the 'layers_toggle.php' script is prone to HTTP response splitting
attacks.

See also :

http://www.ush.it/2005/11/28/webcalendar-multiple-vulnerabilities/
http://www.securityfocus.com/archive/1/418286/30/0/threaded
https://sourceforge.net/tracker/index.php?func=detail&aid=1369439&group_id=3870&atid=303870

Solution :

Upgrade to WebCalendar 1.0.2 or later.

Network Security Threat Level:

High / CVSS Base Score : 7.0
(AV:R/AC:L/Au:NR/C:P/I:P/A:P/B:N)

Networks Security ID: 15606, 15608, 15662, 15673

Vulnerability Assessment Copyright: This script is Copyright (C) 2005-2006 Tenable Network Security

Cables, Connectors

Dell M620 16-Core Blade Server 2x E5-2650L v2 1.7GHz 192GB-8 2x 960GB SSD H710
$1574.37
Dell M620 16-Core Blade Server 2x E5-2650L v2 1.7GHz 192GB-8 2x 960GB SSD H710 pictureDell M620 16-Core Blade Server 2x E5-2650L v2 1.7GHz 192GB-8 2x 480GB SSD H710
$1169.37
Dell M620 16-Core Blade Server 2x E5-2650L v2 1.7GHz 192GB-8 2x 480GB SSD H710 pictureDell M620 16-Core Blade Server 2x E5-2650L v2 1.7GHz 192GB-8 2x 1.8TB N SAS H710
$1706.45
Dell M620 16-Core Blade Server 2x E5-2650L v2 1.7GHz 192GB-8 2x 1.8TB N SAS H710 pictureDell M620 16-Core Blade Server 2x E5-2650L v2 1.7GHz 192GB-8 2x 1.2TB N SAS H710
$1419.05
Dell M620 16-Core Blade Server 2x E5-2650L v2 1.7GHz 192GB-8 2x 1.2TB N SAS H710 picture


Discussions

No Discussions have been posted on this vulnerability.